#include <stdio.h>

int main()
{
    long x1,x2,y1,y2;
    scanf("%ld%ld%ld%ld",&x1,&y1,&x2,&y2);
    if(x1==x2 || y1==y2) printf("2");
    else if((x1-x2)==(y1-y2)) printf("1");
    else printf("0");
    
}